# Uses of Class
org.globus.ftp.vanilla.BasicClientControlChannel

Packages that use BasicClientControlChannel
Package
Description
org.globus.ftp
org.globus.ftp.extended
org.globus.ftp.vanilla

## Uses of BasicClientControlChannel in org.globus.ftp

Methods in org.globus.ftp with parameters of type BasicClientControlChannel
Modifier and Type
Method
Description
`protected TransferState`
FTPClient.`transferBegin(BasicClientControlChannel other, MarkerListener mListener)`
`protected void`
FTPClient.`transferRun(BasicClientControlChannel other, MarkerListener mListener)`
Actual transfer management.
`protected void`
FTPClient.`transferRunSingleThread(BasicClientControlChannel other, MarkerListener mListener)`
`protected TransferState`
FTPClient.`transferStart(BasicClientControlChannel other, MarkerListener mListener)`

## Uses of BasicClientControlChannel in org.globus.ftp.extended

Subclasses of BasicClientControlChannel in org.globus.ftp.extended
Modifier and Type
Class
Description
`class`
`GridFTPControlChannel`
GridFTP control channel, unlike the vanilla control channel, uses GSI autentication.

## Uses of BasicClientControlChannel in org.globus.ftp.vanilla

Subclasses of BasicClientControlChannel in org.globus.ftp.vanilla
Modifier and Type
Class
Description
`class`
`FTPControlChannel`
Represents FTP Protocol Interpreter.
`protected class`
`FTPServerFacade.LocalControlChannel`
This inner class represents a local control channel.
Methods in org.globus.ftp.vanilla that return BasicClientControlChannel
Modifier and Type
Method
Description
`BasicClientControlChannel`
FTPServerFacade.`getControlChannel()`
Use this method to get the client end of the local control channel.
Constructors in org.globus.ftp.vanilla with parameters of type BasicClientControlChannel
Modifier
Constructor
Description
``
`TransferMonitor(BasicClientControlChannel controlChannel, TransferState transferState, MarkerListener mListener, int maxWait, int ioDelay, int side)`